### Hierarchy

- AccountRepository

### Implemented by

- AccountRepositoryImpl

## Index

### Methods

- checkAccount
- getNonce
- registration
- unsubscribe

## Methods

### checkAccount

- checkAccount(account: Account): Promise<Account>

- - Defined in repository/account/AccountRepository.ts:7

  #### Parameters

  - ##### account: Account

  #### Returns Promise<Account>

### getNonce

- getNonce(account: Account): Promise<number>

- - Defined in repository/account/AccountRepository.ts:11

  #### Parameters

  - ##### account: Account

  #### Returns Promise<number>

### registration

- registration(account: Account): Promise<Account>

- - Defined in repository/account/AccountRepository.ts:5

  #### Parameters

  - ##### account: Account

  #### Returns Promise<Account>

### unsubscribe

- unsubscribe(account: Account): Promise<void>

- - Defined in repository/account/AccountRepository.ts:9

  #### Parameters

  - ##### account: Account

  #### Returns Promise<void>

Generated using TypeDoc